summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2010-12-19 22:08:49 +0000
committerRichard W.M. Jones <rjones@redhat.com>2010-12-19 22:09:40 +0000
commit7ba1b55aa79c56ded770f8ea46716eb054fbfe78 (patch)
tree5a8bd73289e36372ca59bff056d822fa0d588495 /src
parentd2400da92e5e2cc7fd5e33e61220a33214d5241c (diff)
downloadlibguestfs-7ba1b55aa79c56ded770f8ea46716eb054fbfe78.tar.gz
libguestfs-7ba1b55aa79c56ded770f8ea46716eb054fbfe78.tar.xz
libguestfs-7ba1b55aa79c56ded770f8ea46716eb054fbfe78.zip
api-support: Fix detection of similar APIs.
Because we didn't match on word boundaries, the previous code would get confused by similar APIs, eg. getxattr vs getxattrs.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/api-support/update-from-tarballs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/api-support/update-from-tarballs.sh b/src/api-support/update-from-tarballs.sh
index 85798253..241cd164 100755
--- a/src/api-support/update-from-tarballs.sh
+++ b/src/api-support/update-from-tarballs.sh
@@ -84,7 +84,7 @@ for v in $rev_versions; do
for sym in $symbols; do
# If symbol is missing from the file, that indicates it
# was added in the previous file we checked ($previous).
- if ! grep -sq $sym $v; then
+ if ! egrep -sq \\b$sym\\b $v; then
echo $sym $previous >&5
else
next_symbols="$next_symbols $sym"